import numpy as np
from numpy import pi,sin
import matplotlib.pyplot as plt
from scipy.signal import argrelmax

t0 = 0
t1 = 2
fs = 1000
N = int((t1-t0)*fs)

t = np.linspace(t0,t1,N)
s = sin(2*pi*t)
intermittent = 0.1*np.sin(2*pi*30*t)

intermittent[:150] = 0
intermittent[350:] = 0

plt.plot(t,s + intermittent)
plt.xlabel('Time [s]')
plt.savefig('intermittency.png')
