import numpy as np
import matplotlib.pyplot as plt

x = np.linspace(-1.5,1.5,3000)
sigmoid = 1.0/(1.0+np.exp(-4*x))

plt.plot(x,sigmoid)
plt.xlabel('x')
plt.ylabel(r'$\sigma$(x)')
plt.savefig('sigmoid.png')
